package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.SendMsgResult;
import com.tzld.piaoquan.growth.common.model.po.SendMsgResultExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface SendMsgResultMapper {
    long countByExample(SendMsgResultExample example);

    int deleteByExample(SendMsgResultExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SendMsgResult record);

    int insertSelective(SendMsgResult record);

    List<SendMsgResult> selectByExample(SendMsgResultExample example);

    SendMsgResult selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SendMsgResult record, @Param("example") SendMsgResultExample example);

    int updateByExampleWithBLOBs(@Param("record") SendMsgResult record, @Param("example") SendMsgResultExample example);

    int updateByExample(@Param("record") SendMsgResult record, @Param("example") SendMsgResultExample example);

    int updateByPrimaryKeySelective(SendMsgResult record);

    int updateByPrimaryKeyWithBLOBs(SendMsgResult record);

    int updateByPrimaryKey(SendMsgResult record);
}